<?
define('_IN_JOHNCMS', 1);
/*
 by Str@nnik
 http://johncms.com/users/profile.php?user=21326
 ICQ: 609745227
*/
$headmod ="mchat";
$textl = 'Мини-чат';
$rootpath = '../';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

// Выгоняем гостей
if (!$user_id) {
	echo '<div class="rmenu">Вход гостям в мини-чат запрещен! Авторизуйтесь или зарегистрируйте учетную запись!</div>';
	require_once ("../incfiles/end.php");
	exit;
}

echo '<div class="phdr"><a href="index.php">Мини-чат</a>&nbsp;|&nbsp;Позвать друга</div>';

switch ($act) {
	
	case 'call':
	$user = mysql_fetch_assoc(mysql_query('select * from `users` where `id` = '.$user_id.''));
	$text = 'Ваш друг [url=' . core::$system_set['homeurl'] . '/users/profile.php?user=' . $user_id . ']'.$user['name'].'[/url] пригласил Вас в [url=' . core::$system_set['homeurl'] . '/mchat]мини-чат[/url]!';
	mysql_query("INSERT INTO `cms_mail` SET
				`user_id` = '$user_id', 
				`from_id` = '$id',
				`text` = '$text',
				`time` = '" . time() . "',
				`sys` = '1',
				`them` = 'Мини-чат'");
	echo '<div class="gmenu">Вы успешно пригласили своего друга в мини-чат!</div>';
	break;
	
	default:
    $total = mysql_result(mysql_query('select count(*) from `cms_contact` where `user_id` = '.$user_id.' and `friends` = 1'), 0);

    if ($total) {
	    $req = mysql_query('select * from `cms_contact` join `users` on `cms_contact`.`from_id` = `users`.`id` and `user_id` = '.$user_id.'');
	    $i = 0;
	    while ($res = mysql_fetch_assoc($req)) {
		    echo $i % 2 ? '<div class="list1">' : '<div class="list2">';
		    echo '<a href="?act=call&amp;id=' . $res['id'] . '"><b>' . $res['name'] . '</b></a>';
		    echo '</div>';
		    $i++;
	    }
    } else {
	    echo '<div class="menu">У вас нету ещё друзей</div>';
    }

/*
mysql_query("INSERT INTO `cms_mail` SET
					`user_id` = '$user_id', 
					`from_id` = '$id',
					`text` = '$text',
					`time` = '" . time() . "',
					`sys` = '1',
					`them` = '{$lng_profile['friendship']}'");*/
					
    echo '<div class="phdr">Всего: '.$total.'</div>';
	break;
}

echo '<div class="menu"><a href="index.php">Назад</a></div>';

require_once ("../incfiles/end.php");